#
# spec file for package libdbusmenu-qt (Version 0.3.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libdbusmenu-qt
BuildRequires:  cmake gcc-c++ libqt4-devel
BuildRequires:  dbus-1-devel pkg-config
Summary:        This library provides a Qt implementation of the DBusMenu protocol.
Version:        0.3.3
Release:        1.3
License:        GPL
Group:          System/GUI/KDE
Source0:        %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       dbusmenu-qt = 0.3.3
Obsoletes:      dbusmenu-qt < 0.3.3

%description
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.


Author
--------

Canonical DX Team, Aurélien Gâteau <aurelien.gateau@canonical.com>

%package devel
Summary:        Development package for dbusmenu-qt
License:        GPL
Group:          Development/Libraries/Other
Requires:       libdbusmenu-qt2 = %{version}
Provides:       dbusmenu-qt-devel = 0.3.3
Obsoletes:      dbusmenu-qt-devel < 0.3.3

%description devel
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.


Author
--------

Canonical DX Team, Aurélien Gâteau <aurelien.gateau@canonical.com>

%package -n libdbusmenu-qt2
Summary:        Development package for dbusmenu-qt
License:        GPL
Group:          Development/Libraries/Other

%description -n libdbusmenu-qt2
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.


Author
--------

Canonical DX Team, Aurélien Gâteau <aurelien.gateau@canonical.com>


%prep
%setup

%build
  mkdir build
  cd build
  export CFLAGS=$RPM_OPT_FLAGS
  export CXXFLAGS=$RPM_OPT_FLAGS
  export LDFLAGS="-Wl,-Bsymbolic-functions $LDFLAGS"
  _libsuffix=$(echo %_lib | cut -b4-)
  cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr \
        -DLIB_SUFFIX="$_libsuffix" \
        -DCMAKE_BUILD_TYPE=release ..
  %{__make} %{?jobs:-j %{jobs}} VERBOSE=1

%install
  cd build
  %makeinstall

%post -n libdbusmenu-qt2 -p /sbin/ldconfig

%postun -n libdbusmenu-qt2 -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT

%files -n libdbusmenu-qt2
%defattr(-,root,root)
%_libdir/libdbusmenu-qt.so.*

%files devel
%defattr(-,root,root)
%dir /usr/include/dbusmenu-qt
%_libdir/libdbusmenu-qt.so
/usr/include/dbusmenu-qt/*
%_libdir/pkgconfig/*

%changelog
* Mon Jun  7 2010 dmueller@suse.de
- add baselibs.conf
* Mon May 31 2010 dmueller@suse.de
- correct license (bnc#610291)
* Fri May 28 2010 dmueller@suse.de
- update to 0.3.3:
  * package rename to libdbusmenu-qt
  * Introduce a qt minimum version. Qt 4.5 doesn't work. (Michael Jansen)
  * Use the FindQjson.cmake file made by pinotree for chokoq because it works.
  * Refresh after LayoutUpdated signal (Marco Martin)
  * Test items added to an existing menu are properly imported (Aurelien Gateau)
  * Allow notification of the menu being filled, don't call aboutToShow more than
  once per actual menu showing (Aaron Seigo)
  * Win32 fixes from Ralf Habacker (Patrick Spendrin)
  * Added option to disable tests (Alex Elsayed)
* Wed Apr 28 2010 tittiatcoke@gmail.com
- Initial package
